%define	pkgname	libcec
%define	soname	%{pkgname}1
Name:		%{soname}
Version:	1.0
Release:	3.13
Url:		http://libcec.pulse-eight.com/
Source0:	%{pkgname}-%{version}.tar.bz2
License:	GPLv2
Summary:	Consumer Electronics Control library
Group:		System/Libraries
BuildRequires:	autoconf automake gcc-c++ pkg-config libudev-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libCEC is an open-source dual licensed library designed for communicating with the Pulse-Eight USB - HDMI CEC Adaptor

%package -n %{pkgname}-devel
Summary:	Consumer Electronics Control library
Group:		Development/Libraries/C and C++
Requires:	%{soname} = %{version}

%description -n %{pkgname}-devel
libCEC is an open-source dual licensed library designed for communicating with the Pulse-Eight USB - HDMI CEC Adaptor
Development files for libCEC.

%prep
%setup -n %{pkgname}-%{version}

%build
autoreconf -fi
%configure

%install
%__make DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS
%{_bindir}/cec-client
%{_libdir}/libcec.so.1.0.0

%files -n %{pkgname}-devel
%defattr(-,root,root)
%dir %{_includedir}/libcec
%{_includedir}/libcec/cec.h
%{_includedir}/libcec/cecc.h
%{_includedir}/libcec/cecloader.h
%{_includedir}/libcec/cectypes.h
%{_libdir}/libcec.a
%{_libdir}/libcec.la
%{_libdir}/libcec.so
%{_libdir}/libcec.so.1
%{_libdir}/pkgconfig/libcec.pc

%changelog
* Sun Nov  6 2011 cs@linux-administrator.com
- initial package
